org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryPingResponse

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryPingResponse

All Implemented Interfaces:
  Externalizable, Serializable

    public class TcpDiscoveryPingResponse
    extends TcpDiscoveryAbstractMessage

Ping response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryPingResponse()` For `Externalizable`.
`TcpDiscoveryPingResponse(UUID creatorNodeId)`

### Method Summary

Methods
`boolean` `clientExists()`
`void` `clientExists(boolean clientExists)`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, destinationClientNodeId, destinationClientNodeId, equals, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, toString, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryPingResponse

    public TcpDiscoveryPingResponse()

For `Externalizable`.

#### TcpDiscoveryPingResponse

    public TcpDiscoveryPingResponse(UUID creatorNodeId)

Parameters:
  `creatorNodeId` - Creator node ID.

### Method Detail

#### clientExists

    public void clientExists(boolean clientExists)

Parameters:
  `clientExists` - Whether pinged client exists.

#### clientExists

    public boolean clientExists()

Returns:
  Whether pinged client exists.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015